BEEM - Android XMPP - Bug #366

Error while saving Capabilities
07/16/2011 10:07 PM - Anonymous

Status: Closed Start date: 07/16/2011
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.1.7

Affected version: hg Locale:

Description

I've been seeing this exception quite often, but it doesn't seem to crash the app:

D/BeemCapsManager( 1622): Error while saving Capabilities IV6i/bt2U8RmMOREcX8h4F3Nk3M=
D/BeemCapsManager( 1622): java.io.FileNotFoundException:
/data/data/com.beem.project.beem/cache/capabilities/IV6i/bt2USRMOREcX8h4F3Nk3M= (No such file or directory)
D/BeemCapsManager( 1622): at org.apache.harmony.luni.platform.OSFileSystem.open(Native Method)

)
D/BeemCapsManager( 1622): at dalvik.system.BlockGuard$WrappedFileSystem.open(BlockGuard.java:232)
D/BeemCapsManager( 1622): at java.io.FileOutputStream.<init>(FileOutputStream.java:94)
D/BeemCapsManager( 1622): at java.io.FileOutputStream.<init>(FileOutputStream.java:66)
D/BeemCapsManager( 1622): at java.io.FileWriter.<init>(FileWriter.java:42)
D/BeemCapsManager( 1622): at com.beem.project.beem.service.BeemCapsManager.store(BeemCapsManager.java:120)
D/BeemCapsManager( 1622): at com.beem.project.beem.smack.caps.CapsManager.validate(CapsManager.java:223)
D/BeemCapsManager( 1622): at com.beem.project.beem.smack.caps.CapsManager.access$100(CapsManager.java:76)
D/BeemCapsManager( 1622): at com.beem.project.beem.smack.caps.CapsManager$1.processPacket(CapsManager.java:181)
D/BeemCapsManager( 1622): at org.jivesoftware.smack.Connection$ListenerWrapper.notifyListener(Connection.java:807)
D/BeemCapsManager( 1622): at org.jivesoftware.smack.PacketReader$ListenerNotification.run(PacketReader.java:453)
D/BeemCapsManager( 1622): at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:444)
D/BeemCapsManager( 1622): at java.util.concurrent.Future Task$Sync.innerRun(FutureTask.java:306)
D/BeemCapsManager( 1622): at java.util.concurrent.FutureTask.run(FutureTask.java:138)
D/BeemCapsManager( 1622): at java.util.concurrent. ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1088)
D/BeemCapsManager( 1622): at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:581)
D/BeemCapsManager( 1622): at java.lang.Thread.run(Thread.java:1019)

I'm using the otr branch, on Android 2.3.3 CyanogenMod on a Nexus One.

Associated revisions

Revision 901:6e5999172eb1 - 08/25/2011 02:51 PM - Frédéric Barthéléry

When saving capabilities replace the '/' character by a "'

The character '." is not in the base64 table and can replace the file
separator char '/' in unix.

fix #366

Revision 923:6e5999172eb1 - 08/25/2011 02:51 PM - Frédéric Barthéléry

When saving capabilities replace the '/' character by a "'

The character '." is not in the base64 table and can replace the file
separator char '/' in unix.

fix #366

History

#1 - 07/16/2011 11:54 PM - Frédéric Barthéléry
- Status changed from New to Assigned
- Assignee set to Frédéric Barthéléry

- Target version set to 0.1.7

This bug happens for some capabilities which contains the /' character which is illegal for a filename.

#2 - 08/25/2011 04:27 PM - Frédéric Barthéléry
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100
Applied in changeset 6€5999172eb1.

#3 - 10/10/2011 10:54 AM - Frédéric Barthéléry
- Status changed from Resolved to Closed
